import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { MainPageIconMenu } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-09-02 11:01
 */
interface MainPageIconMenuCU extends ConditionUtil<MainPageIconMenuCU> {
    ID: FieldUtil<MainPageIconMenuCU>;
    TITLE: FieldUtil<MainPageIconMenuCU>;
    IMAGE_URL: FieldUtil<MainPageIconMenuCU>;
    MENU_URL: FieldUtil<MainPageIconMenuCU>;
    SORT_INDEX: FieldUtil<MainPageIconMenuCU>;
    CREATE_TIME: FieldUtil<MainPageIconMenuCU>;
    UPDATE_TIME: FieldUtil<MainPageIconMenuCU>;
    STATE: FieldUtil<MainPageIconMenuCU>;
    REMARK: FieldUtil<MainPageIconMenuCU>;
}
declare class MainPageIconMenuMU extends TableUtilImpl<MainPageIconMenuCU, MainPageIconMenu> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): MainPageIconMenuCU;
    static get ID(): FieldUtil<MainPageIconMenuCU>;
    static get TITLE(): FieldUtil<MainPageIconMenuCU>;
    static get IMAGE_URL(): FieldUtil<MainPageIconMenuCU>;
    static get MENU_URL(): FieldUtil<MainPageIconMenuCU>;
    static get SORT_INDEX(): FieldUtil<MainPageIconMenuCU>;
    static get CREATE_TIME(): FieldUtil<MainPageIconMenuCU>;
    static get UPDATE_TIME(): FieldUtil<MainPageIconMenuCU>;
    static get STATE(): FieldUtil<MainPageIconMenuCU>;
    static get REMARK(): FieldUtil<MainPageIconMenuCU>;
    get ID(): FieldUtil<MainPageIconMenuCU>;
    get TITLE(): FieldUtil<MainPageIconMenuCU>;
    get IMAGE_URL(): FieldUtil<MainPageIconMenuCU>;
    get MENU_URL(): FieldUtil<MainPageIconMenuCU>;
    get SORT_INDEX(): FieldUtil<MainPageIconMenuCU>;
    get CREATE_TIME(): FieldUtil<MainPageIconMenuCU>;
    get UPDATE_TIME(): FieldUtil<MainPageIconMenuCU>;
    get STATE(): FieldUtil<MainPageIconMenuCU>;
    get REMARK(): FieldUtil<MainPageIconMenuCU>;
}
export { MainPageIconMenuMU, MainPageIconMenuCU };
